<?php
/* **************************************************************************** *

 * rss.php									*
 * @package	Core								*
 * @copyright:	Copyright (c) 2007 - 2008 Ragnar.cz. All rights reserved	*
 * @license	GNU/GPL http://www.gnu.org/copyleft/gpl.html			*

 * Albireo is free software! This file may have been modified pursuant to the	*
 * GNU General Public License, and as distributed it includes or is derivative	*
 * of works licensed under the GNU General Public License or other free or open	*
 * source software licenses.							*

 This script description:
 Returns rss

 Properties:
    none

 Public Methods:
    this script is procedural

 * **************************************************************************** */

require_once "constants.php"; // requieres Albireo II constants
require_once "autoload.php"; // handle automatic load of classes

header ( "Content-type:application/rss+xml; charset=utf-8" ); // header of rss files

Localization::session (); // use localization logics

Connection::session () -> logStartOfConnection (); // creates connection log

if ( file_exists ( "rss-".$_GET [ "channel" ].".php" ) ) {
    require_once "rss-".$_GET [ "channel" ].".php";
} else {
    header ( "HTTP/1.1 404 Not Found" );
}

?>