<?php
/* **************************************************************************** *

 * xml.php									*
 * @version: 	1.0.0								*
 * @package	Core								*
 * @copyright:	Copyright (c) 2007 - 2008 Ragnar.cz. All rights reserved	*
 * @license	GNU/GPL http://www.gnu.org/copyleft/gpl.html			*
 
 * Albireo is free software! This file may have been modified pursuant to the	*
 * GNU General Public License, and as distributed it includes or is derivative	*
 * of works licensed under the GNU General Public License or other free or open	*
 * source software licenses.							*

 This script description:
 All pages saved in database could be sended as xml output. It is mainly created
 for ajax applications. Xml output is managed by this script as html is managed
 by index.php.

 Properties:
    none
 	
 Public Methods:
    this script is procedural
 	
 * **************************************************************************** */

require_once "constants.php"; // requieres Albireo II constants
require_once "autoload.php"; // handle automatic load of classes

header ( "Content-type:application/xml; charset=utf-8" ); // header of xml files

Localization::session (); // use localization logics

Connection::session () -> logStartOfConnection (); // creates connection log

User::session (); // starts user session

Page::session (); // get information about requested page and check the access

XMLPublisher::publish (); // creates xml code

?>